Page MenuHomePhabricator

Show basic user stats in the translation dashboard
Closed, ResolvedPublic

Description

Surfacing the user progress may motivate users to translate more.
We can provide such information in the translation dashboard:

  • A "Your statistics" section at the right side panel of the dashboard (only visible when the user has at least one translation).
  • A counter of the translations published by the user in the current month.
  • A counter with the total translations published by the user.
  • A bar chart showing the recent months (up to 24 months) with the current month highlighted.

For new users (those who have never translated before), we may want to hide this component. Thus, we will show it only for users who had made one or more translations in the past.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: ContentTranslation.
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2015, 12:41 PM
Amire80 triaged this task as Normal priority.Sep 9 2015, 6:24 AM
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.
Pginer-WMF updated the task description. (Show Details)Feb 10 2016, 9:23 AM

Change 270256 had a related patch set uploaded (by Santhosh):
Show basic user stats in the translation dashboard

https://gerrit.wikimedia.org/r/270256

santhosh added a project: LE-CX8-Sprint 2.
santhosh moved this task from Backlog to In Review on the LE-CX8-Sprint 2 board.
Nikerabbit moved this task from Backlog to In Review on the LE-CX8-Sprint 3 board.Feb 16 2016, 6:57 AM

Change 270256 merged by jenkins-bot:
Show basic user stats in the translation dashboard

https://gerrit.wikimedia.org/r/270256

Is it possible to add a screenshot to the ticket?

Thanks!

Great progress, just some minor comments:

  • The title proposed was "your statistics" using the same text style and size as "Need help with translations?" in order to present both as two sections of the tools panel.
    • These sections will benefit from some additional space between them.
    • The use of the username could work but it already appears in the logged-in indicator.
  • The updated icon for representing users is a different one (SVG: F3138213, PNG: F3138214). More details in T115419#1909775).
  • I captured the idea of using a different color for the current and past months in a new ticket (T127696) since it was not trivial to support with the current graph library and scope (a quick experiment to surface info and motivate translators).
santhosh moved this task from In Review to QA on the LE-CX8-Sprint 3 board.Feb 23 2016, 3:49 AM
Arrbee moved this task from QA to Done on the LE-CX8-Sprint 3 board.Feb 24 2016, 7:08 AM
Arrbee moved this task from Done to QA on the LE-CX8-Sprint 3 board.

Change 273441 had a related patch set uploaded (by Santhosh):
Change the icon used for the translator stats

https://gerrit.wikimedia.org/r/273441

Change 273442 had a related patch set uploaded (by Santhosh):
Show the translator stats even if there is no recent translations

https://gerrit.wikimedia.org/r/273442

Change 273442 merged by jenkins-bot:
Show the translator stats even if there is no recent translations

https://gerrit.wikimedia.org/r/273442

Change 273441 merged by jenkins-bot:
Change the icon used for the translator stats

https://gerrit.wikimedia.org/r/273441

Change 274058 had a related patch set uploaded (by Santhosh):
Translator widget: Fix js error if translator doesn't have recent contributions

https://gerrit.wikimedia.org/r/274058

Change 274058 merged by jenkins-bot:
Translator widget: Fix js error if translator doesn't have recent contributions

https://gerrit.wikimedia.org/r/274058

Change 274340 had a related patch set uploaded (by KartikMistry):
Translator widget: Fix js error if translator doesn't have recent contributions

https://gerrit.wikimedia.org/r/274340

Change 274340 merged by jenkins-bot:
Translator widget: Fix js error if translator doesn't have recent contributions

https://gerrit.wikimedia.org/r/274340

Arrbee closed this task as Resolved.Mar 4 2016, 7:51 AM
Arrbee raised the priority of this task from Normal to High.
Arrbee moved this task from QA to Done on the LE-CX8-Sprint 3 board.